Insert text in current position in EJ2 JavaScript Document editor

10 May 20244 minutes to read

You can insert the text, paragraph and rich-text content in JavaScript Document Editor component.

Insert text in current cursor position

You can use insertText API in editor module to insert the text in current cursor position.

The following example illustrates how to add the text in current selection.

    let hostUrl: string = 'https://services.syncfusion.com/js/production/';
    let container: DocumentEditorContainer = new DocumentEditorContainer({ enableToolbar: true, height: '590px' });
    DocumentEditorContainer.Inject(Toolbar);
    container.serviceUrl = hostUrl + 'api/documenteditor/';
    container.appendTo('#container');

    document.getElementById('insert').addEventListener('click',function(){
    // It will insert the provided text in current selection
    container.documentEditor.editor.insertText('Syncfusion');
    });

Please check below gif which illustrates how to insert text in current cursor position on button click:

Insert text in current cursor position in Javascript document editor

Insert paragraph in current cursor position

To insert new paragraph at current selection, you can can use insertText API with parameter as \r\n or \n.

The following example code illustrates how to add the new paragraph in current selection.

// It will add the new paragraph in current selection
container.documentEditor.editor.insertText('\n');

Insert the rich-text content

To insert the HTML content, you have to convert the HTML content to SFDT Format using web service. Then use paste API to insert the sfdt at current cursor position.

Note: HTML string should be well formatted. DocIO support only well formatted XHTML.

The following example illustrates how to insert the HTML content at current cursor position.

  • Send the HTML content to server side for SFDT conversion. Refer to the following example to send the HTML content to server side and inserting it in current cursor position.
import {
  DocumentEditorContainer,
  Toolbar,
} from '@syncfusion/ej2-documenteditor';

let hostUrl: string =
  'https://services.syncfusion.com/js/production/';

let container: DocumentEditorContainer = new DocumentEditorContainer({
  enableToolbar: true,
  height: '590px',
});
DocumentEditorContainer.Inject(Toolbar);
container.serviceUrl = hostUrl + 'api/documenteditor/';
container.appendTo('#container');
 
let htmltags: string =
  "<?xml version='1.0' encoding='utf - 8'?><!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Strict//EN''http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd'><html xmlns ='http://www.w3.org/1999/xhtml' xml:lang='en' lang ='en'><body><h1>The img element</h1><img src='https://www.w3schools.com/images/lamp.jpg' alt ='Lamp Image' width='500' height='600'/></body></html>";
document.getElementById('export').addEventListener('click', () => {
  let http: XMLHttpRequest = new XMLHttpRequest();
  http.open('POST', 'http://localhost:5000/api/documenteditor/LoadString');
  http.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
  http.responseType = 'json';
  http.onreadystatechange = function () {
    if (http.readyState === 4) {
      if (http.status === 200 || http.status === 304) {
        // Insert the sfdt content in cursor position using paste API
        container.documentEditor.editor.paste(http.response);
      } else {
        alert('failed;');
      }
    }
  };

  let htmlContent: any = { content: htmltags };
  http.send(JSON.stringify(htmlContent));
});
  • Please refer the following code example for server-side web implementation for HTML conversion using DocumentEditor.
//API controller for the conversion.
[HttpPost]
public string LoadString([FromBody]InputParameter data)
{
    // You can also load HTML file/string from server side.
    Syncfusion.EJ2.DocumentEditor.WordDocument document = Syncfusion.EJ2.DocumentEditor.WordDocument.LoadString(data.content, FormatType.Html); // Convert the HTML to SFDT format.
    string json = Newtonsoft.Json.JsonConvert.SerializeObject(document);
    document.Dispose();
    return json;
}

public class InputParameter
{
    public string content {get; set; }
}

Note: The above example illustrates inserting HTML content. Similarly, you can insert any rich-text content by converting any of the supported file formats (DOCX, DOC, WordML, HTML, RTF) to SFDT.

Insert text in current position in React Document editor component

30 Jan 20237 minutes to read

You can insert the text, paragraph and rich-text content in React Document Editor component.

Insert text in current cursor position

You can use insertText API in editor module to insert the text in current cursor position.

The following example code illustrates how to add the text in current selection.

// It will insert the provided text in current selection
this.container.documentEditor.editor.insertText('Syncfusion');

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import {
  DocumentEditorContainerComponent,
  Toolbar,
} from '@syncfusion/ej2-react-documenteditor';

DocumentEditorContainerComponent.Inject(Toolbar);
export class Default extends React.Component {
  inserText(){
        // It will insert the provided text in current selection
        this.container.documentEditor.editor.insertText('Syncfusion');
  ;
  render() {
    return (
      <button id='insert' onClick={this.inserText.bind(this)}>Insert Text</button>
      <DocumentEditorContainerComponent
        id="container"
        ref={(scope) => {
          this.container = scope;
        }}
        height={'590px'}
        serviceUrl="https://ej2services.syncfusion.com/production/web-services/api/documenteditor/"
        enableToolbar={true}
      />
    );
  }
}
ReactDOM.render(<Default />, document.getElementById('sample'));

Please check below gif which illustrates how to insert text in current cursor position on button click:

Insert text in current cursor position in Javascript document editor

Insert paragraph in current cursor position

To insert new paragraph at current selection, you can can use insertText API with parameter as \r\n or \n.

The following example code illustrates how to add the new paragraph in current selection.

// It will add the new paragraph in current selection
this.container.documentEditor.editor.insertText('\n');

Insert the rich-text content

To insert the HTML content, you have to convert the HTML content to SFDT Format using web service. Then use paste API to insert the sfdt at current cursor position.

Note: Html string should be welformatted html. DocIO support only welformatted XHTML.

The following example illustrates how to insert the HTML content at current cursor position.

  • Send the HTML content to server side for SFDT conversion. Refer to the following example to send the HTML content to server side and inserting it in current cursor position.
import * as ReactDOM from 'react-dom';
import * as React from 'react';
import {
    DocumentEditorContainerComponent,
    Toolbar,
} from '@syncfusion/ej2-react-documenteditor';

DocumentEditorContainerComponent.Inject(Toolbar);
function App() {
    let container: DocumentEditorContainerComponent;
    function onCreated() {
        let htmltags: string =
            "<?xml version='1.0' encoding='utf - 8'?><!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Strict//EN''http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd'><html xmlns ='http://www.w3.org/1999/xhtml' xml:lang='en' lang ='en'><body><h1>The img element</h1><img src='https://www.w3schools.com/images/lamp.jpg' alt ='Lamp Image' width='500' height='600'/></body></html>";
            document.getElementById('export').addEventListener('click', () => {
            let http: XMLHttpRequest = new XMLHttpRequest();
            http.open('POST', 'http://localhost:5000/api/documenteditor/LoadString');
            http.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
            http.responseType = 'json';
            http.onreadystatechange = function () {
                if (http.readyState === 4) {
                    if (http.status === 200 || http.status === 304) {
                        // Insert the sfdt content in cursor position using paste API
                        container.documentEditor.editor.paste(http.response);
                    } else {
                        alert('failed;');
                    }
                }
            };

            let htmlContent: any = { content: htmltags };
            http.send(JSON.stringify(htmlContent));
        });
    }
    return (
        <DocumentEditorContainerComponent
            id="container"
            ref={(scope) => {
                container = scope;
            }}
            height={'590px'}
            serviceUrl="https://ej2services.syncfusion.com/production/web-services/api/documenteditor/"
            enableToolbar={true}
            created={onCreated}
        />
    );
}
export default App;
ReactDOM.render(<App />, document.getElementById('sample'));
  • Please refer the following code example for server-side web implementation for HTML conversion using DocumentEditor.
//API controller for the conversion.
[HttpPost]
public string LoadString([FromBody]InputParameter data)
{
    // You can also load HTML file/string from server side.
    Syncfusion.EJ2.DocumentEditor.WordDocument document = Syncfusion.EJ2.DocumentEditor.WordDocument.LoadString(data.content, FormatType.Html); // Convert the HTML to SFDT format.
    string json = Newtonsoft.Json.JsonConvert.SerializeObject(document);
    document.Dispose();
    return json;
}

public class InputParameter
{
    public string content {get; set; }
}

Note: The above example illustrates inserting HTML content. Similarly, you can insert any rich-text content by converting any of the supported file formats (DOCX, DOC, WordML, HTML, RTF) to SFDT.

Insert text in current position in Vue Document editor component

23 Mar 20236 minutes to read

You can insert the text, paragraph and rich-text content in Vue Document Editor component.

Insert text in current cursor position

You can use insertText API in editor module to insert the text in current cursor position.

The following example code illustrates how to add the text in current selection.

// It will insert the provided text in current selection
this.$refs.container.ej2Instances.documentEditor.editor.insertText('Syncfusion');
<template>
  <div id="app">
    <div>
        <button v-on:click='insertText'>Insert Text</button>
    </div>
    <ejs-documenteditorcontainer ref='container'  height="590px" id='container' :enableToolbar='true'></ejs-documenteditorcontainer>
  </div>
</template>
<script>
  import Vue from 'vue'
  import { DocumentEditorContainerPlugin, Toolbar } from '@syncfusion/ej2-vue-documenteditor';

  Vue.use(DocumentEditorContainerPlugin);

    export default {
        data: function() {
            return {
            };
        },
        provide: {
            //Inject require modules.
            DocumentEditorContainer: [Toolbar],
        },
        methods: {
            insertText: function() {
                //It will insert the provided text in current selection
                this.$refs.container.ej2Instances.documentEditor.editor.insertText('Syncfusion');
            }
        }
    }
</script>
<style>
      @import "../../node_modules/@syncfusion/ej2-vue-documenteditor/styles/material.css";
</style>

Please check below gif which illustrates how to insert text in current cursor position on button click:

Insert text in current cursor position in Vue document editor

Insert paragraph in current cursor position

To insert new paragraph at current selection, you can can use insertText API with parameter as \r\n or \n.

The following example code illustrates how to add the new paragraph in current selection.

// It will add the new paragraph in current selection
this.$refs.container.ej2Instances.documentEditor.editor.insertText('\n');

Insert the rich-text content

To insert the HTML content, you have to convert the HTML content to SFDT Format using web service. Then use paste API to insert the sfdt at current cursor position.

Note: Html string should be welformatted html. DocIO support only welformatted XHTML.

The following example illustrates how to insert the HTML content at current cursor position.

  • Send the HTML content to server side for SFDT conversion. Refer to the following example to send the HTML content to server side and inserting it in current cursor position.

      <template>
        <div id="app">
          <ejs-documenteditorcontainer
            ref="container"
            :serviceUrl="serviceUrl"
            height="590px"
            id="container"
            :enableToolbar="true"
            v-on:created="onCreated.bind(this)"
          ></ejs-documenteditorcontainer>
        </div>
      </template>
      <script>
        import Vue from 'vue';
        import {
          DocumentEditorContainerPlugin,
          DocumentEditorContainerComponent,
          Toolbar,
        } from '@syncfusion/ej2-vue-documenteditor';
    
        Vue.use(DocumentEditorContainerPlugin);
    
        export default {
          data() {
            return {
              serviceUrl:
                'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/',
            };
          },
          provide: {
            //Inject require modules.
            DocumentEditorContainer: [Toolbar]
          },
          methods: {
            onCreated: function () {
              let proxy = this;
              let htmltags =
                "<?xml version='1.0' encoding='utf - 8'?><!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Strict//EN''http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd'><html xmlns ='http://www.w3.org/1999/xhtml' xml:lang='en' lang ='en'><body><h1>The img element</h1><img src='https://www.w3schools.com/images/lamp.jpg' alt ='Lamp Image' width='500' height='600'/></body></html>";
                let http = new XMLHttpRequest();
                http.open('POST', 'http://localhost:5000/api/documenteditor/LoadString');
                http.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
                http.responseType = 'json';
                http.onreadystatechange = function () {
                  if (http.readyState === 4) {
                    if (http.status === 200 || http.status === 304) {
                      // Insert the sfdt content in cursor position using paste API
                      proxy.container.documentEditor.editor.paste(http.response);
                    } else {
                      alert('failed;');
                    }
                  }
                };
    
                let htmlContent = { content: htmltags };
                http.send(JSON.stringify(htmlContent));
            }
          }
        };
      </script>
    
  • Please refer the following code example for server-side web implementation for HTML conversion using DocumentEditor.

      //API controller for the conversion.
      [HttpPost]
      public string LoadString([FromBody]InputParameter data)
      {
          // You can also load HTML file/string from server side.
          Syncfusion.EJ2.DocumentEditor.WordDocument document = Syncfusion.EJ2.DocumentEditor.WordDocument.LoadString(data.content, FormatType.Html); // Convert the HTML to SFDT format.
          string json = Newtonsoft.Json.JsonConvert.SerializeObject(document);
          document.Dispose();
          return json;
      }
    
      public class InputParameter
      {
          public string content {get; set; }
      }

Note: The above example illustrates inserting HTML content. Similarly, you can insert any rich-text content by converting any of the supported file formats (DOCX, DOC, WordML, HTML, RTF) to SFDT.

Insert Text at Current Position in Angular Document Editor

3 May 20256 minutes to read

You can insert the text, paragraph and rich-text content in Angular Document Editor component.

Insert text in current cursor position

You can use insertText API in editor module to insert the text in current cursor position.

The following example illustrates how to add the text in current selection.

import { Component, OnInit, ViewChild } from '@angular/core';
import {
  ToolbarService,
  DocumentEditorContainerComponent,
  ImageFormat,
} from '@syncfusion/ej2-angular-documenteditor';

import { DocumentEditorContainerModule } from '@syncfusion/ej2-angular-documenteditor';

@Component({
  selector: 'app-container',
  standalone: true,
  imports: [DocumentEditorContainerModule],
  providers: [ToolbarService],
  template: `<div><button ejs-button (click)="insertText()" >Insert Text</button>
    <ejs-documenteditorcontainer #documenteditor_default 
      serviceUrl="https://services.syncfusion.com/angular/production/api/documenteditor/" 
      height="600px" 
      style="display:block" 
      [enableToolbar]=true >
    </ejs-documenteditorcontainer>
</div>
  `,
})
export class AppComponent implements OnInit {
  @ViewChild('documenteditor_default')
  public container?: DocumentEditorContainerComponent;
  ngOnInit(): void {}
  public insertText(): void {
    // It will insert the provided text in current selection
    this.container?.documentEditor.editor.insertText('Syncfusion');
  }
}

The Web API hosted link https://services.syncfusion.com/angular/production/api/documenteditor/ utilized in the Document Editor’s serviceUrl property is intended solely for demonstration and evaluation purposes. For production deployment, please host your own web service with your required server configurations. You can refer and reuse the GitHub Web Service example or Docker image for hosting your own web service and use for the serviceUrl property.

Insert paragraph in current cursor position

To insert new paragraph at current selection, you can can use insertText API with parameter as \r\n or \n.

The following example code illustrates how to add the new paragraph in current selection.

// It will add the new paragraph in current selection
this.container.documentEditor.editor.insertText('\n');

Insert the rich-text content

To insert the HTML content, you have to convert the HTML content to SFDT Format using web service. Then use paste API to insert the sfdt at current cursor position.

Note: Html string should be welformatted html. DocIO support only welformatted XHTML.

The following example illustrates how to insert the HTML content at current cursor position.

  • Send the HTML content to server side for SFDT conversion. Refer to the following example to send the HTML content to server side and inserting it in current cursor position.
import { Component, OnInit, ViewChild } from '@angular/core';
import {
  ToolbarService,
  DocumentEditorContainerComponent,
} from '@syncfusion/ej2-angular-documenteditor';
import { DocumentEditorContainerModule } from '@syncfusion/ej2-angular-documenteditor';
@Component({
  selector: 'app-container',
  standalone: true,
  imports: [DocumentEditorContainerModule],
  providers: [ToolbarService],
  template: `<button ejs-button (click)="insertText()" >Export HTML</button>
    <ejs-documenteditorcontainer #documenteditor_default 
      serviceUrl="https://services.syncfusion.com/angular/production/api/documenteditor/" 
      height="600px" 
      style="display:block" 
      [enableToolbar]=true >
    </ejs-documenteditorcontainer>
  `,
})
export class AppComponent implements OnInit {
  @ViewChild('documenteditor_default')
  public container?: DocumentEditorContainerComponent;
  ngOnInit(): void {}
  public insertText(): void {
    let proxy = this;
    let htmltags: string =
      "<?xml version='1.0' encoding='utf - 8'?><!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Strict//EN''http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd'><html xmlns ='http://www.w3.org/1999/xhtml' xml:lang='en' lang ='en'><body><h1>The img element</h1><img src='https://www.w3schools.com/images/lamp.jpg' alt ='Lamp Image' width='500' height='600'/></body></html>";
    let http: XMLHttpRequest = new XMLHttpRequest();
    http.open('POST', 'http://localhost:62869/api/documenteditor/LoadString');
    http.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
    http.responseType = 'json';
    http.onreadystatechange = function () {
      if (http.readyState === 4) {
        if (http.status === 200 || http.status === 304) {
          // Insert the sfdt content in cursor position using paste API
          proxy.container?.documentEditor.editor.paste(http.response);
        } else {
          alert('failed;');
        }
      }
    };

    let htmlContent: any = { content: htmltags };
    http.send(JSON.stringify(htmlContent));
  }
}

The Web API hosted link https://services.syncfusion.com/angular/production/api/documenteditor/ utilized in the Document Editor’s serviceUrl property is intended solely for demonstration and evaluation purposes. For production deployment, please host your own web service with your required server configurations. You can refer and reuse the GitHub Web Service example or Docker image for hosting your own web service and use for the serviceUrl property.

  • Please refer the following code example for server-side web implementation for HTML conversion using DocumentEditor.
//API controller for the conversion.
[AcceptVerbs("Post")]
[HttpPost]
[EnableCors("AllowAllOrigins")]
[Route("LoadString")]
public string LoadString([FromBody]InputParameter data)
{
      // You can also load HTML file/string from server side.
      Syncfusion.EJ2.DocumentEditor.WordDocument document = Syncfusion.EJ2.DocumentEditor.WordDocument.LoadString(data.content, FormatType.Html); // Convert the HTML to SFDT format.
      string json = Newtonsoft.Json.JsonConvert.SerializeObject(document);
      document.Dispose();
      return json;
}

public class InputParameter
{
      public string content {get; set; }
}

Note: The above example illustrates inserting HTML content. Similarly, you can insert any rich-text content by converting any of the supported file formats (DOCX, DOC, WordML, HTML, RTF) to SFDT.